Dim ExtractFolder: ExtractFolder = "Cabs" 

Dim fso: Set fso = CreateObject("Scripting.FileSystemObject") 
Dim wshShell: Set wshShell = CreateObject("Wscript.Shell") 

Dim scriptDir 
scriptDir = fso.GetParentFolderName(WScript.ScriptFullName) 

On Error Resume Next 
'Deleting ExtractFolder subfolder to start clean 
fso.DeleteFolder ScriptDir & "\" & ExtractFolder 
Err.Clear 
On Error Goto 0 

'Create Cabs folder, we will put the extracted cabs there. 
fso.CreateFolder ScriptDir & "\" & ExtractFolder 

Dim scriptFolder 
Set scriptFolder = fso.GetFolder(ScriptDir) 

dim scriptFolderFiles 
Set scriptFolderFiles = scriptFolder.Files 

Dim file, TotalExtracted 

'Initialize 
TotalExtracted = 0 

'Loop thru all files in the folder that the script is ran in 
For Each file in scriptFolderFiles 
	If Right(file.name, 4) = ".msu" Then 
		'wscript.echo "Processing " & file.name 
		iRetVal = WshShell.Run("wusa.exe "& ScriptDir & "\" & file.Name & " /extract:" & ScriptDir & "\" & ExtractFolder, 0, True) 
		
		If iRetVal = 0 Then 
			TotalExtracted = TotalExtracted + 1 
		Else 
			Wscript.echo "An error occurred while trying to extract the cab file from " & file.name & "" 
		End If 
	End If 
Next 

'Delete any unneeded wsusscan.cab files from the extractFolder 
On Error Resume Next 
fso.DeleteFile ScriptDir & "\" & ExtractFolder & "\wsusscan.cab", True 
On Error Goto 0 

WScript.Echo "A total of " & totalExtracted & " cab files were extracted. Script Complete."
